## digikam 7.5.0

=== CMakeLists.txt ===
#
# Copyright (c) 2010-2020, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

set(CMAKE_MIN_VERSION   "3.16")
set(ECM_MIN_VERSION     "5.5.0")

cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})

execute_process(COMMAND ${CMAKE_COMMAND} --version OUTPUT_VARIABLE VERSION_CMAKE_INFO)
message(STATUS "CMake version: ${VERSION_CMAKE_INFO}")

# ==============================================================================
# Information to update before to release this package.

# digiKam version
set(DIGIKAM_MAJOR_VERSION "7")
set(DIGIKAM_MINOR_VERSION "5")
set(DIGIKAM_PATCH_VERSION "0")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final release. Can be used in production.
set(DIGIKAM_SUFFIX_VERSION "")

# ==============================================================================
# Set env. variables accordingly.

# NOTE: This string is used to set libdigikamcore and libdigikamdatabase SO version ID
set(DIGIKAM_VERSION_SHORT
    "${DIGIKAM_MAJOR_VERSION}.${DIGIKAM_MINOR_VERSION}.${DIGIKAM_PATCH_VERSION}"
)

set(DIGIKAM_VERSION_STRING
    "${DIGIKAM_VERSION_SHORT}${DIGIKAM_SUFFIX_VERSION}"
)

# Core Database XML version
# We must set this variable here at top level because it is used in both
# libs/database/core and data/database
# Version history:
# 1 : Original database XML file, published in production.
# 2 : 08-08-2014 : Fix Images.names field size (see bug #327646).
# 3 : 05/11/2015 : Add Face DB schema.
set(DBCORECONFIG_XML_VERSION "3")

# ==============================================================================

project(digikam
        VERSION ${DIGIKAM_VERSION_SHORT}
        LANGUAGES CXX C)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for ${PROJECT_NAME}")
message(STATUS "")

### ECM setup #########################################################################################################

find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/core/cmake/modules ${ECM_MODULE_PATH})

# KF5 Framework macros
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

# ECM macros
include(ECMOptionalAddSubdirectory)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMPoQmTools)
include(ECMAddTests)
include(ECMMarkAsTest)

# Cmake macros
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
include(CheckFunctionExists)
include(FeatureSummary)

# Local macros
include(MacroUtils)
include(MacroCompiler)
include(MacroOpenCV)
include(MacroJPEG)
include(MacroBoolTo01)

#######################################################################################################################

APPLY_COMMON_POLICIES()

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
#set(CMAKE_AUTOUIC ON)
#set(CMAKE_AUTORCC ON)

if(MSVC)
    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY AUTOGEN_TARGETS_FOLDER "Generated")

### COMPILATION OPTIONS MANAGEMENT ####################################################################################

# doc and translations options

option(DIGIKAMSC_CHECKOUT_PO             "Checkout application translations files from git repositories (default=OFF)"            OFF)
option(DIGIKAMSC_CHECKOUT_DOC            "Checkout documentation translations files from git repositories (default=OFF)"          OFF)
option(DIGIKAMSC_COMPILE_PO              "Build translations files (default=ON)"                                                  ON)
option(DIGIKAMSC_COMPILE_DOC             "Build handbook files (default=ON)"                                                      ON)
option(DIGIKAMSC_COMPILE_DIGIKAM         "Build digiKam core (default=ON)"                                                        ON)

#######################################################################################################################

if(DIGIKAMSC_CHECKOUT_PO OR DIGIKAMSC_CHECKOUT_DOC)

    find_package(Ruby)
    find_package(Subversion)

    if(RUBY_EXECUTABLE AND Subversion_FOUND)

        if(DIGIKAMSC_CHECKOUT_PO)

            message(STATUS "Extract application translation files from git repositories. Please wait, it can take a while...")

            execute_process(COMMAND ${RUBY_EXECUTABLE} "${CMAKE_SOURCE_DIR}/project/release/fetch_l10n_po.rb"
                            WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")

            message(STATUS "Application translation files extraction done.")

        endif()

        if(DIGIKAMSC_CHECKOUT_DOC)

            message(STATUS "Extract documentation translation files from git repositories. Please wait, it can take a while...")
            message(STATUS "NOTE: (u) want mean uncomplete translations files, which will be removed from compilation.")

            execute_process(COMMAND ${RUBY_EXECUTABLE} "${CMAKE_SOURCE_DIR}/project/release/fetch_l10n_doc.rb"
                            WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")

            message(STATUS "Documentation translation files extraction done.")

        endif()

    else()

        message(FATAL_ERROR "Could not find Ruby or Subversion to extract translation files")

    endif()

endif()

if(DIGIKAMSC_COMPILE_PO AND NOT EXISTS ${CMAKE_SOURCE_DIR}/po/)

    message(STATUS "Application translations directory is missing. Compilation of application translations is disabled...")

    if(NOT DIGIKAMSC_CHECKOUT_PO)
        message(STATUS "You can use DIGIKAMSC_CHECKOUT_PO option to extract GUI i18n files from git repositories.")
    endif()

    set(DIGIKAMSC_COMPILE_PO OFF)

endif()

if(DIGIKAMSC_COMPILE_DOC AND NOT EXISTS ${CMAKE_SOURCE_DIR}/doc/)

    message(STATUS "Main one documentation directory is missing. Compilation of documentation is disabled...")
    set(DIGIKAMSC_COMPILE_DOC OFF)

endif()

if(NOT EXISTS ${CMAKE_SOURCE_DIR}/doc-translated/)

    message(STATUS "Documentation translations directory is missing.")
    message(STATUS "You can use DIGIKAMSC_CHECKOUT_DOC option to extract doc i18n files from git repositories.")

endif()

if(DIGIKAMSC_COMPILE_PO OR DIGIKAMSC_COMPILE_DOC)
    set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS 1)
endif()

if(BUILD_TESTING)
    include(CTest)
endif()

######################################################################################################################

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Top level compilation configuration for ${PROJECT_NAME}")
message(STATUS "")

if(DIGIKAMSC_COMPILE_DIGIKAM)
    if(NOT EXISTS ${CMAKE_SOURCE_DIR}/core)
        message(STATUS "${PROJECT_NAME} will be compiled....................... NO (source code not available)")
        set (DIGIKAMSC_COMPILE_DIGIKAM OFF)
    else()
        message(STATUS "${PROJECT_NAME} will be compiled....................... YES")
    endif()
else()
    message(STATUS     "${PROJECT_NAME} will be compiled....................... NO")
endif()

if(DIGIKAMSC_CHECKOUT_PO)
    message(STATUS "Extract application translations files......... YES")
else()
    message(STATUS "Extract application translations files......... NO")
endif()

if(DIGIKAMSC_CHECKOUT_DOC)
    message(STATUS "Extract documentation translations files....... YES")
else()
    message(STATUS "Extract documentation translations files....... NO")
endif()

if(DIGIKAMSC_COMPILE_PO)
    message(STATUS "Translations will be compiled.................. YES")
else()
    message(STATUS "Translations will be compiled.................. NO")
endif()

if(DIGIKAMSC_COMPILE_DOC)
    message(STATUS "Handbooks will be compiled..................... YES")
else()
    message(STATUS "Handbooks will be compiled..................... NO")
endif()

if(BUILD_TESTING)
    message(STATUS "Tests code will be compiled.................... YES")
else()
    message(STATUS "Tests code will be compiled.................... NO")
endif()

######################################################################################################################

if(DIGIKAMSC_COMPILE_DIGIKAM)
    add_subdirectory(core)
endif()

if(DIGIKAMSC_COMPILE_PO OR DIGIKAMSC_COMPILE_DOC)
    find_package(Gettext REQUIRED)
endif()

if(DIGIKAMSC_COMPILE_PO)
    add_subdirectory(po)
endif()

if(DIGIKAMSC_COMPILE_DOC)
    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS DocTools)
    ECM_OPTIONAL_ADD_SUBDIRECTORY(doc)
    ECM_OPTIONAL_ADD_SUBDIRECTORY(doc-translated)
endif()

=== core/CMakeLists.txt ===
#
# Copyright (c) 2010-2022 by Gilles Caulier, <caulier dot gilles at gmail dot com>
# Copyright (c) 2015      by Veaceslav Munteanu, <veaceslav dot munteanu90 at gmail dot com>
# Copyright (c) 2015      by Mohamed_Anwer, <m_dot_anwer at gmx dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

APPLY_COMMON_POLICIES()

# ==============================================================================

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Check dependencies for ${PROJECT_NAME} version ${DIGIKAM_VERSION_STRING}")
message(STATUS "")

set(KF5_MIN_VERSION       "5.5.0")
set(QT_MIN_VERSION        "5.9.0")
set(EXIV2_MIN_VERSION     "0.27.0")
set(OPENCV_MIN_VERSION    "3.3.0")
set(LENSFUN_MIN_VERSION   "0.2.6.0")      # For Lens auto-correction plugin
set(QTAV_MIN_VERSION      "1.12.0")       # For video support.
set(KSANE_MIN_VERSION     "5.5.0")        # For digital scanner support.
set(CALENDAR_MIN_VERSION  "5.5.0")        # Calendar Core dependency for plugin.
set(AKONADI_MIN_VERSION   "4.89.0")       # Akonadi Contact dependency.

cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})

# ==============================================================================

option(ENABLE_KFILEMETADATASUPPORT       "Build digiKam with KDE files indexer support (default=OFF)"                         OFF)
option(ENABLE_AKONADICONTACTSUPPORT      "Build digiKam with KDE Mail Contacts support (default=OFF)"                         OFF)
option(ENABLE_MEDIAPLAYER                "Build digiKam with Media Player support (default=OFF)"                              OFF)
option(ENABLE_DBUS                       "Build digiKam with DBUS support (default=ON)"                                       ON)
option(ENABLE_APPSTYLES                  "Build digiKam with support for changing the widget application style (default=OFF)" OFF)
option(ENABLE_QWEBENGINE                 "Build digiKam with QWebEngine instead of QWebKit (default=ON)"                      ON)

# Mysql support options (experimental):
option(ENABLE_MYSQLSUPPORT               "Build digiKam with MySQL dabatase support (default=ON)"                             ON)
option(ENABLE_INTERNALMYSQL              "Build digiKam with internal MySQL server executable (default=ON)"                   ON)

# Developer options:
option(ENABLE_DIGIKAM_MODELTEST          "Enable ModelTest on some models for debugging (default=OFF)"                        OFF)
option(ENABLE_SANITIZERS                 "Enable ASAN and UBSAN sanitizers when available (default=OFF)"                      OFF)
option(BUILD_WITH_CCACHE                 "Use ccache to speed up compilations"                                                OFF)

# Packaging options:
if(MINGW)
    option(ENABLE_DRMINGW                "Enable the Dr. MinGW crash handler support for windows (default ON)"                ON)
    option(ENABLE_MINGW_HARDENING_LINKER "Enable DEP (NX), ASLR, and high-entropy ASLR linker flags for MinGW (default ON)"   ON)
endif()

############## Find Packages ###################

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED
             NO_MODULE COMPONENTS
             Core
             Concurrent
             Widgets
             Gui
             Sql
             Xml
             PrintSupport
             Network
)

if(ENABLE_QWEBENGINE)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS WebEngineWidgets)
else()
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS WebKitWidgets)
endif()

find_package(Qt5 ${QT_MIN_VERSION}
             OPTIONAL_COMPONENTS
             DBus
             OpenGL
             XmlPatterns                # For Rajce plugin
)

if(ENABLE_DBUS)
    if(NOT Qt5DBus_FOUND)
        set(ENABLE_DBUS OFF)
    endif()
endif()

# Dependencies For unit tests and CLI test tools

if(BUILD_TESTING)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED
                 NO_MODULE COMPONENTS
                 Test
    )

    find_package(Qt5 ${QT_MIN_VERSION}
                 QUIET
                 OPTIONAL_COMPONENTS
                 Qml WebView  # Optional, for 'sialis' O2 library test tool.
    )
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
             COMPONENTS
             XmlGui
             CoreAddons
             Config
             Service
             WindowSystem
             Solid
             I18n
)

find_package(KF5 ${KF5_MIN_VERSION} QUIET
             OPTIONAL_COMPONENTS
             KIO                    # For Desktop integration (Widgets only).
             IconThemes             # For Desktop integration.
             FileMetaData           # For KDE file indexer support.
             ThreadWeaver           # For Panorama tool.
             NotifyConfig           # KDE desktop application notify configuration.
             Notifications          # KDE desktop notifications integration.
)

find_package(KF5 ${AKONADI_MIN_VERSION} QUIET
             OPTIONAL_COMPONENTS
             AkonadiContact         # For KDE Mail Contacts support.
             Contacts               # API for contacts/address book data.
)

find_package(KF5 ${KSANE_MIN_VERSION} QUIET
             OPTIONAL_COMPONENTS
             Sane                   # For digital scanner support.
)

find_package(KF5 ${CALENDAR_MIN_VERSION} QUIET
             OPTIONAL_COMPONENTS
             CalendarCore           # For Calendar tool.
)

if ("${KF5CalendarCore_VERSION}" VERSION_GREATER 5.6.40)
    set(HAVE_KCALENDAR_QDATETIME TRUE)
endif()

if(ENABLE_AKONADICONTACTSUPPORT AND (NOT KF5AkonadiContact_FOUND OR NOT KF5Contacts_FOUND))
    set(ENABLE_AKONADICONTACTSUPPORT OFF)
endif()

if(ENABLE_KFILEMETADATASUPPORT AND NOT KF5FileMetaData_FOUND)
    set(ENABLE_KFILEMETADATASUPPORT OFF)
endif()

# Check if KIO have been compiled with KIOWidgets. digiKam only needs this one.
if(KF5KIO_FOUND)
    get_target_property(KIOWidgets_INCLUDE_DIRS KF5::KIOWidgets
                        INTERFACE_INCLUDE_DIRECTORIES)
    message(STATUS "KF5::KIOWidgets include dirs: ${KIOWidgets_INCLUDE_DIRS}")

    if(NOT KIOWidgets_INCLUDE_DIRS)
        message(STATUS "KF5::KIOWidgets not available in shared KIO library. KIO support disabled.")
        set(KF5KIO_FOUND FALSE)
    endif()
endif()

# ==============================================================================
# Dependencies Rules

# mandatory

DETECT_JPEG()
set(DIGIKAM_LIBJPEG_DIR libjpeg/${JPEG_LIB_VERSION})
message(STATUS "Using libjpeg sub-directory: ${DIGIKAM_LIBJPEG_DIR}")

find_package(TIFF)
find_package(PNG)
find_package(Boost)
find_package(LCMS2)
find_package(EXPAT)    # For DNGWriter: XMP SDK need Expat library to compile.
find_package(Threads)  # For DNGWriter and LibRaw which needs native threads support.
find_package(X265)     # For HEIF encoding support.

if(NOT X265_FOUND)
    set(X265_LIBRARIES "")
endif()

find_package(exiv2 REQUIRED)

set_package_properties("exiv2"     PROPERTIES
                       DESCRIPTION "Required to build digiKam"
                       URL         "https://www.exiv2.org"
                       TYPE        RECOMMENDED
                       PURPOSE     "Library to manage image metadata"
)

if("${exiv2_VERSION}" VERSION_LESS ${EXIV2_MIN_VERSION})
    message(FATAL_ERROR "Exiv2 version is too old (${exiv2_VERSION})! Minimal version required:${EXIV2_MIN_VERSION}.")
endif()

# -- check Media player --------------------------------------------------------

find_package(FFmpeg COMPONENTS AVCODEC AVDEVICE AVFILTER AVFORMAT AVUTIL SWSCALE)
find_package(QtAV)

if(ENABLE_MEDIAPLAYER)

    if(${AVCODEC_FOUND} AND ${AVDEVICE_FOUND} AND ${AVFILTER_FOUND} AND ${AVFORMAT_FOUND} AND ${AVUTIL_FOUND} AND ${SWSCALE_FOUND})

        include_directories(${FFMPEG_INCLUDE_DIRS})

    else()

        set(ENABLE_MEDIAPLAYER OFF)
        set(FFMPEG_FOUND OFF)
        message(STATUS "ENABLE_MEDIAPLAYER option is enabled but FFMpeg cannot be found. Media player support is disabled.")

    endif()

    if(NOT ${QtAV_FOUND} OR "${QTAV_VERSION_STRING}" VERSION_LESS ${QTAV_MIN_VERSION})

        set(ENABLE_MEDIAPLAYER OFF)
        set(QtAV_FOUND OFF)
        message(STATUS "ENABLE_MEDIAPLAYER option is enabled but QtAV cannot be found. Media player support is disabled.")

    else()

        include_directories(${QTAV_INCLUDE_DIRS})

    endif()

    if (${QtAV_FOUND} AND ${FFMPEG_FOUND})

        message(STATUS "Media player support is enabled.")

    endif()

endif()


# -- check OpenCV --------------------------------------------------------------

DETECT_OPENCV(${OPENCV_MIN_VERSION} core objdetect imgproc imgcodecs dnn flann)

if(${OpenCV_FOUND})
    if(${OpenCV_VERSION} VERSION_LESS ${OPENCV_MIN_VERSION})
        message(STATUS "OpenCV < ${OPENCV_MIN_VERSION} have been found. Please use a more recent version.")
        set(OpenCV_FOUND FALSE)
    endif()
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/app/utils/digikam_opencv.h.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/app/utils/digikam_opencv.h)

# -- optionals -----------------------------------------------------------------

find_package(FLEX)                                 # For Panorama tool.
find_package(BISON)                                # For Panorama tool.

find_package(LibXslt)                              # For HTMLGallery tool.
find_package(LibXml2)                              # For HTMLGallery tool.

find_package(Marble)                               # For geolocation support.

find_package(PkgConfig)
find_package(Jasper)                               # For JPEG 2000 support.
find_package(Eigen3)                               # For Refocus tool.

# -- ImageMagick rules --------------------------------------------------------

find_package(ImageMagick COMPONENTS Magick++ MagickCore MagickWand)

if(ImageMagick_Magick++_FOUND)
    add_definitions(${ImageMagick_Magick++_DEFINITIONS})
endif()

# -- X11 rules ----------------------------------------------------------------

# For Monitor Profiles management with LCMS
find_package(X11)

if(X11_FOUND)
    find_package(Qt5 ${QT_MIN_VERSION} NO_MODULE COMPONENTS X11Extras)
    set(HAVE_X11 TRUE)
else()
    set(HAVE_X11 FALSE)
endif()

# -- OpenGL rules -------------------------------------------------------------

if(POLICY CMP0072)
    # Prefers Legacy OpenGL by default when available introduced in CMake version 3.11
    # Details: https://cmake.org/cmake/help/git-stage/policy/CMP0072.html
    cmake_policy(SET CMP0072 OLD)
endif()

find_package(OpenGL)                               # For Presentation tool.

message(STATUS "OpenGL found;               ${OPENGL_FOUND}")
message(STATUS "OpenGL GLU extension found; ${OPENGL_GLU_FOUND}")
message(STATUS "OpenGL Qt5 found;           ${Qt5OpenGL_FOUND}")

# decide if Presentation tool can be built with OpenGL
if(OPENGL_FOUND AND OPENGL_GLU_FOUND AND Qt5OpenGL_FOUND)
    set(HAVE_OPENGL TRUE)
elseif()
    set(HAVE_OPENGL FALSE)
endif()

# -- Windows rules ------------------------------------------------------------

# For LibRaw
if(WIN32)
    find_library(WSOCK32_LIBRARY wsock32)
    find_library(WS2_32_LIBRARY ws2_32)
endif()

if(MINGW)

    # NOTE: inspired from https://phabricator.kde.org/T3917
    if(ENABLE_MINGW_HARDENING_LINKER)

        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--dynamicbase -Wl,--nxcompat -Wl,--disable-auto-image-base")
        set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--dynamicbase -Wl,--nxcompat -Wl,--disable-auto-image-base")
        set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--dynamicbase -Wl,--nxcompat -Wl,--disable-auto-image-base")

        if ("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")

            # Enable high-entropy ASLR for 64-bit
            # The image base has to be >4GB for HEASLR to be enabled.
            # The values used here are kind of arbitrary.

=== core/app/CMakeLists.txt ===
#
# Copyright (c) 2010-2022 by Gilles Caulier, <caulier dot gilles at gmail dot com>
# Copyright (c) 2015      by Veaceslav Munteanu, <veaceslav dot munteanu90 at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

APPLY_COMMON_POLICIES()

# -----------------------------------------------------------------------------------
# Headers to configure

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/utils/digikam_version.h.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/utils/digikam_version.h)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/utils/digikam_dbconfig.h.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/utils/digikam_dbconfig.h)

# -----------------------------------------------------------------------------------
# Common includes rules

include_directories($<TARGET_PROPERTY:Qt5::PrintSupport,INTERFACE_INCLUDE_DIRECTORIES>
                    $<TARGET_PROPERTY:Qt5::Gui,INTERFACE_INCLUDE_DIRECTORIES>
                    $<TARGET_PROPERTY:Qt5::Xml,INTERFACE_INCLUDE_DIRECTORIES>
                    $<TARGET_PROPERTY:Qt5::Widgets,INTERFACE_INCLUDE_DIRECTORIES>
                    $<TARGET_PROPERTY:Qt5::Core,INTERFACE_INCLUDE_DIRECTORIES>
                    $<TARGET_PROPERTY:Qt5::Sql,INTERFACE_INCLUDE_DIRECTORIES>
                    $<TARGET_PROPERTY:Qt5::Network,INTERFACE_INCLUDE_DIRECTORIES>

                    $<TARGET_PROPERTY:KF5::I18n,INTERFACE_INCLUDE_DIRECTORIES>
                    $<TARGET_PROPERTY:KF5::Solid,INTERFACE_INCLUDE_DIRECTORIES>
                    $<TARGET_PROPERTY:KF5::WindowSystem,INTERFACE_INCLUDE_DIRECTORIES>
                    $<TARGET_PROPERTY:KF5::XmlGui,INTERFACE_INCLUDE_DIRECTORIES>
                    $<TARGET_PROPERTY:KF5::Service,INTERFACE_INCLUDE_DIRECTORIES>)

if(ENABLE_QWEBENGINE)
    include_directories($<TARGET_PROPERTY:Qt5::WebEngineWidgets,INTERFACE_INCLUDE_DIRECTORIES>)
else()
    include_directories($<TARGET_PROPERTY:Qt5::WebKitWidgets,INTERFACE_INCLUDE_DIRECTORIES>)
endif()

if(KF5KIO_FOUND)
    include_directories($<TARGET_PROPERTY:KF5::KIOWidgets,INTERFACE_INCLUDE_DIRECTORIES>)
endif()

if(Gphoto2_FOUND)
    include_directories(${GPHOTO2_INCLUDE_DIRS})
endif()

# -----------------------------------------------------------------------------------
# Targets to build

include(DigikamCoreTarget.cmake)
include(DigikamDatabaseTarget.cmake)
include(DigikamGuiTarget.cmake)
include(DigikamTarget.cmake)

# -----------------------------------------------------------------------------------
# Others Files to install

install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/main/org.kde.digikam.desktop     DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES    ${CMAKE_CURRENT_SOURCE_DIR}/main/org.kde.digikam.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES    ${CMAKE_CURRENT_SOURCE_DIR}/main/digikamui5.rc               DESTINATION ${KXMLGUI_INSTALL_DIR}/digikam)
install(FILES    ${CMAKE_CURRENT_SOURCE_DIR}/main/digikam.notifyrc            DESTINATION ${KNOTIFYRC_INSTALL_DIR})

include(DigikamExportAPI.cmake)

=== core/libs/CMakeLists.txt ===
#
# Copyright (c) 2010-2022 by Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

# NOTE: include this common rules on top level for DNGWriter and RawEngine.

include(DNGSdkRules)

add_subdirectory(dimg)
add_subdirectory(dragdrop)
add_subdirectory(metadataengine)
add_subdirectory(database)
add_subdirectory(dngwriter)
add_subdirectory(dtrash)
add_subdirectory(facesengine)
add_subdirectory(iojobs)
add_subdirectory(heifutils)
add_subdirectory(jpegutils)
add_subdirectory(pgfutils)
add_subdirectory(threadimageio)
add_subdirectory(widgets)
add_subdirectory(properties)
add_subdirectory(progressmanager)
add_subdirectory(threads)
add_subdirectory(versionmanager)
add_subdirectory(notificationmanager)
add_subdirectory(models)
add_subdirectory(onlineversion)
add_subdirectory(template)
add_subdirectory(dialogs)
add_subdirectory(dplugins)
add_subdirectory(kmemoryinfo)
add_subdirectory(fileactionmanager)
add_subdirectory(filters)
add_subdirectory(settings)
add_subdirectory(rawengine)
add_subdirectory(album)
add_subdirectory(tags)
add_subdirectory(transitionmngr)
add_subdirectory(timeadjust)
add_subdirectory(video)

=== core/tests/CMakeLists.txt ===
#
# Copyright (c) 2010-2022 by Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

APPLY_COMMON_POLICIES()

# enabling for everything although only required by DImg.
kde_enable_exceptions()

# -------------------------------------------------------------------------------
# Unit-tests common dependencies

if(ENABLE_QWEBENGINE)

    set(_extra_deps ${_extra_deps} Qt5::WebEngineWidgets)

else()

    set(_extra_deps ${_extra_deps} Qt5::WebKitWidgets)

endif()

if(ENABLE_DBUS)

    set(_extra_deps ${_extra_deps} Qt5::DBus)

endif()

if(KF5Notifications_FOUND)

    set(_extra_deps ${_extra_deps} KF5::Notifications)

endif()

if(Gphoto2_FOUND)

    set(_extra_deps ${_extra_deps} ${GPHOTO2_LIBRARIES})

endif()

if(ImageMagick_Magick++_FOUND)

    set(_extra_deps ${_extra_deps} ${ImageMagick_LIBRARIES})

endif()

if(LensFun_FOUND)

    set(_extra_deps ${_extra_deps} ${LENSFUN_LIBRARIES})

endif()

if(Jasper_FOUND)

    set(_extra_deps ${_extra_deps} ${JASPER_LIBRARIES})

endif()

if(ENABLE_MEDIAPLAYER)

    set(_extra_deps ${_extra_deps} ${QTAV_LIBRARIES})

endif()

if(WIN32)

    set(_extra_deps ${_extra_deps} ws2_32)

endif()

if(NOT WIN32)

    # To link under Solaris (see bug #274484)
    set(_extra_deps ${_extra_deps} ${MATH_LIBRARY})

endif()

if(CMAKE_SYSTEM_NAME STREQUAL FreeBSD)

    set(_extra_deps ${_extra_deps} ${KVM_LIBRARY})

endif()

if(APPLE)

    set(_extra_deps ${_extra_deps} /System/Library/Frameworks/AppKit.framework)

endif()

set(COMMON_TEST_LINK Qt5::Core
                     Qt5::Gui
                     Qt5::Xml
                     Qt5::Widgets
                     Qt5::Concurrent
                     Qt5::Test
                     Qt5::Sql

                     KF5::XmlGui
                     KF5::I18n
                     KF5::ConfigCore
                     KF5::Service
                     KF5::Solid

                     ${OPENMP_LDFLAGS}
                     ${JPEG_LIBRARIES}
                     ${LCMS2_LIBRARIES}
                     ${EXPAT_LIBRARY}
                     ${CMAKE_THREAD_LIBS_INIT}

                     opencv_core
                     opencv_objdetect
                     opencv_imgproc
                     opencv_imgcodecs
                     opencv_dnn
                     opencv_flann

                     ${_extra_deps}
)

# -------------------------------------------------------------------------------
# Common static library for uint-tests based on ModelTest

include_directories(modeltest)

add_library(libmodeltest STATIC
            modeltest/modeltest.cpp
)

target_link_libraries(libmodeltest
                      PRIVATE
                      Qt5::Core
                      Qt5::Test
)

# -------------------------------------------------------------------------------
# Unit-tests and CLI tools

add_subdirectory(advancedrename)
add_subdirectory(albummodel)                    # Unit-test based on ModelTest
add_subdirectory(database)                      # Some unit-tests based on ModelTest
add_subdirectory(dimg)
add_subdirectory(dngwriter)
add_subdirectory(dplugins)
add_subdirectory(facesengine)
add_subdirectory(fileio)
add_subdirectory(filters)
add_subdirectory(imgqsort)
add_subdirectory(iojobs)
add_subdirectory(mediaserver)
add_subdirectory(mjpegstream)
add_subdirectory(mediawiki)
add_subdirectory(metadataengine)
add_subdirectory(miscs)
add_subdirectory(multithreading)
add_subdirectory(rawengine)
add_subdirectory(timestampupdate)
add_subdirectory(webservices)
add_subdirectory(widgets)

if(Marble_FOUND)
    add_subdirectory(geolocation)               # Some unit-tests based on ModelTest
endif()

if(FLEX_FOUND AND BISON_FOUND AND KF5ThreadWeaver_FOUND)
    add_subdirectory(panorama)
endif()

if(ENABLE_MEDIAPLAYER)
    add_subdirectory(video)
endif()

if(KF5KIO_FOUND)
    add_subdirectory(vkontakte)
endif()

=== po/uz@cyrillic/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( uz@cyrillic ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== core/data/colorschemes/CMakeLists.txt ===
#
# Copyright (c) 2010-2022 by Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

file(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.colors")

install(FILES ${files}
        DESTINATION ${DATA_INSTALL_DIR}/digikam/colorschemes
)

=== core/data/database/CMakeLists.txt ===
#
# Copyright (c) 2010-2022 by Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

# NOTE: the DBCORECONFIG_XML_VERSION ID is configured in the toplevel CMakeLists.txt,
configure_file(dbconfig.xml.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/dbconfig.xml)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbconfig.xml
              ${CMAKE_CURRENT_SOURCE_DIR}/mysql-global.conf
        DESTINATION ${DATA_INSTALL_DIR}/digikam/database
)

=== core/data/geolocation/CMakeLists.txt ===
#
# Copyright (c) 2010-2019, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

ADD_SUBDIRECTORY(editor)
ADD_SUBDIRECTORY(geoiface)

=== core/data/pics/CMakeLists.txt ===
#
# Copyright (c) 2010-2022 by Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

add_subdirectory(borderpatterns)
add_subdirectory(texturepatterns)
add_subdirectory(digikam)
add_subdirectory(showfoto)
add_subdirectory(facehelpdlg)

=== core/dplugins/dimg/CMakeLists.txt ===
#
# Copyright (c) 2010-2022 by Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

add_subdirectory(jpeg)
add_subdirectory(png)
add_subdirectory(tiff)
add_subdirectory(pgf)
add_subdirectory(raw)
add_subdirectory(qimage)
add_subdirectory(heif)

if(Jasper_FOUND)
    add_subdirectory(jpeg2000)
endif()

if(ImageMagick_FOUND)
    add_subdirectory(imagemagick)
endif()

=== core/dplugins/editor/CMakeLists.txt ===
#
# Copyright (c) 2010-2022 by Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

add_subdirectory(file)
add_subdirectory(colors)
add_subdirectory(decorate)
add_subdirectory(enhance)
add_subdirectory(filters)
add_subdirectory(transform)

=== debian/changelog ===
digikam (4:7.5.0-3fakesync1) jammy-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Feb 2022 12:12:51 +0000

digikam (4:7.5.0-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [098bb92] link with -latomic, required for at least mipsel
  * [e249efb] build without disabling vkontakte logging
  * [ec8bfc0] Remove unused patches
  * [348095f] Conditionally enable QWEBENGINE based on qtwebengine5-dev built-architectures

 -- Steve M. Robbins <smr@debian.org>  Mon, 21 Feb 2022 15:54:59 -0600

digikam (4:7.5.0-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [a192fb9] Suggest breeze-icon-theme -- useful when not using a desktop
    environment. Closes: #845479
  * Sources include Norbert's August 2021 changes, inadvertently omitted
    from 7.5.0-1.

 -- Steve M. Robbins <smr@debian.org>  Sun, 20 Feb 2022 13:25:16 -0600

digikam (4:7.5.0-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [a07cf51] New upstream version 7.5.0

 -- Steve M. Robbins <smr@debian.org>  Sat, 19 Feb 2022 13:16:32 -0600

digikam (4:7.3.0-1) UNRELEASED; urgency=medium

  [ Steve Robbins ]
  * [3980547] New upstream version 7.3.0

  [ Norbert Preining ]
  * Update build-deps.
  * Update lintian overrides.
  * Update patches, prepare for Gears 21.12.
  * Explicitely activate akonadi support.
  * Bump standards version, no changes necessary.
  * Add myself to uploaders.

 -- Steve M. Robbins <smr@debian.org>  Wed, 25 Aug 2021 23:11:27 -0500

=== debian/control ===
Source: digikam
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Steve M. Robbins <smr@debian.org>,
           Norbert Preining <norbert@preining.info>,
Section: graphics
Priority: optional
Build-Depends: appstream,
               bison,
               cmake (>= 3.0.0),
               debhelper-compat (= 12),
               extra-cmake-modules,
               flex,
               gphoto2,
               help2man,
# FFMPEG libraries
               libavcodec-dev, libavfilter-dev, libavformat-dev, libavutil-dev, libswscale-dev,
               libavdevice-dev,
               libboost-graph-dev,
               libeigen3-dev (>= 3.1.2),
               libexiv2-dev (>= 0.27),
               libexpat1-dev | libexpat-dev,
               libgphoto2-dev,
               libjpeg-dev,
               libkf5akonadicontact-dev,
               libkf5calendarcore-dev,
               libkf5doctools-dev,
               libkf5filemetadata-dev,
               libkf5mediawiki-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5sane-dev,
               libkf5threadweaver-dev,
               liblcms2-dev,
               liblensfun-dev,
               liblqr-1-0-dev,
               libmagick++-dev,
               libmarble-dev,
               libopencv-dev (>= 3.3.0~),
               libpng-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libqt5x11extras5-dev,
               libqt5xmlpatterns5-dev,
               libqtav-dev (>= 1.13),
               libtiff-dev,
               libusb-1.0-0-dev [linux-any],
               libx265-dev,
               libxslt1-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.21),
               qtbase5-dev (>= 5.4.0),
               qtbase5-dev-tools (>= 5.4.0),
               qtmultimedia5-dev,
               qtwebengine5-dev [amd64 arm64 armhf i386 mips64el mipsel]
Build-Conflicts: libgraphicsmagick1-dev,
                 libboost1.62-dev (<< 1.62.0+dfsg-4)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/digikam
Vcs-Git: https://salsa.debian.org/debian/digikam.git
Homepage: http://www.digikam.org

Package: digikam-private-libs
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: private libraries for digiKam plugins
 This package contains private libraries to be used by digikam.
 .
 This has no use for anything else than digikam, since the libraries are
 installed in a private library path.

Package: digikam
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         digikam-private-libs (= ${binary:Version}),
         libqt5sql5-sqlite,
         libqt5sql5-mysql,
         digikam-data (= ${source:Version})
Recommends: www-browser,
            ffmpegthumbs
Suggests: digikam-doc,
          breeze-icon-theme,
          systemsettings
Conflicts: ${digikam:Conflicts}
Description: digital photo management application for KDE
 Digital photo management program designed to import, organize, enhance, search
 and export your digital images to and from your computer.
 .
 It provides a simple interface which makes importing and organizing digital
 photographs a "snap". digiKam enables you to manage large numbers of
 digital photographs in albums and to organize these photographs for easy
 retrieval using tags (keywords), captions, collections, dates, geolocation
 and searches. It has many features for viewing, organizing, processing and
 sharing your images. Thus, digiKam is a formidable digital asset management
 (DAM) software including powerful image editing functions.
 .
 An easy-to-use camera interface is provided, that will connect to your
 digital camera and download photographs directly into digiKam albums.
 More than 1000 digital cameras are supported by the gphoto2 library.
 Of course, any media or card reader supported by your operating system
 will interface with digiKam.
 .
 digiKam incorporates a fast Image Editor with many image editing tools.
 You can use the Image Editor to view your photographs, comment and rate
 them, correct, enhance and alter them. The editing power can be easily
 extended by a set of plugins, the KDE Image Plugins Interface (manual)
 .
 While digiKam remains easy to use, it provides professional level features
 by the dozens. It is fully 16 bit enabled including all available plugins,
 supports RAW format conversion through libraw, DNG export and ICC color
 management work flow.

Package: showfoto
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         digikam-data (= ${source:Version}),
         digikam-private-libs (= ${binary:Version})
Recommends: dolphin
Description: image viewer/editor for KDE
 showFoto is the standalone image editor of the digiKam project.
 .
 It runs without digiKam images database support, but provides all Image Editor
 functions.

Package: digikam-data
Architecture: all
Depends: ${misc:Depends},
         opencv-data
Conflicts: ${digikam:Conflicts}
Description: digiKam architecture-independant data
 Contains the significant amount of architecture-independent data that is
 shipped with digiKam.
 .
 It has been placed in an architecture all file to reduce space on the
 archives, rather than one copy for each architecture.

=== debian/rules ===
#!/usr/bin/make -f

PRIVATE_LIBDIR := /usr/lib/digikam
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -latomic

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Augment path to find gphoto2-config; workaround for #826166
export PATH := $(PATH):/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2-dev/bin

# Architectures that support QWEBENGINE (qtwebengine5-dev)
has_qwebengine = amd64 arm64 armhf i386 mips64el mipsel
ENABLE_QWEBENGINE = OFF
ifeq ($(DEB_HOST_ARCH), $(filter $(DEB_HOST_ARCH),$(has_qwebengine)))
	ENABLE_QWEBENGINE = ON
endif


%:
	dh $@ --with kde

override_dh_clean:
	dh_clean

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- \
	  -DCMAKE_INSTALL_RPATH="$(PRIVATE_LIBDIR)" \
	  -DDIGIKAMSC_COMPILE_DOC=on \
	  -DDIGIKAMSC_COMPILE_PO=on \
	  -DENABLE_MYSQLSUPPORT=ON \
	  -DENABLE_INTERNALMYSQL=ON \
	  -DENABLE_KFILEMETADATASUPPORT=ON \
	  -DENABLE_AKONADICONTACTSUPPORT=ON \
	  -DENABLE_MEDIAPLAYER=ON \
	  -DENABLE_QWEBENGINE=$(ENABLE_QWEBENGINE) \
	  -DENABLE_APPSTYLES=ON

#	help2man -n 'digital photo management application' --no-info obj-*/core/app/digikam > debian/man/digikam.1
#	help2man -n 'image viewer/editor' --no-info obj-*/core/showfoto/showfoto > debian/man/showfoto.1

override_dh_auto_install:
	dh_auto_install
	# remove development stuff: headers, cmake config files, pkg-config files, .so symlinks, static libs
	rm -rf --verbose debian/tmp/usr/include
	rm -rf --verbose debian/tmp/usr/share/kde4/apps/cmake
	rm -rf --verbose debian/tmp/usr/lib/cmake
	rm -rf --verbose debian/tmp/usr/lib/*/cmake
	rm -rf --verbose debian/tmp/usr/lib/pkgconfig
	find debian/tmp/usr/lib -type l -name '*.so' -exec rm --verbose {} \;
	# remove potentially conflicting oxygen icons in global icon theme
	rm -rf --verbose debian/tmp/usr/share/icons/oxygen
	# remove haar cascades, the versions in opencv-data will be used instead
	rm -rf --verbose debian/tmp/usr/share/kde4/apps/libkface/haarcascades

override_dh_installchangelogs:
	dh_installchangelogs -pdigikam ChangeLog
	dh_installchangelogs --remaining-packages

override_dh_install:
	dh_install
	dh_missing --fail-missing

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/digikam-private-libs/$(PRIVATE_LIBDIR)

override_dh_gencontrol:
	dh_gencontrol -- -Vdigikam:Conflicts='$(CONFLICTS_SUBSTVAR)'

# auto tests require user interaction - override
override_dh_auto_test:

## digikam 7.7.0

=== debian/changelog ===
digikam (4:7.7.0-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [e9f9310] Remove qtav dependency (only required when ENABLE_MEDIAPLAYER is ON)
    but mediaplayer was disabled in 7.7.0-1.

 -- Steve M. Robbins <smr@debian.org>  Sun, 21 Aug 2022 10:19:05 -0500

digikam (4:7.7.0-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [e289692] Add libheif-dev to build-depends to fix loading of .heic images.  
    Closes: #1014648.
  * [f3e9ed2] Add notice in NEWS.Debian describing work-around for some database 
    upgrade failure modes.  Closes: #1007220

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Jul 2022 19:40:00 -0500

digikam (4:7.7.0-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [d4b3120] New upstream version 7.7.0
  * [321609d] rebase patches
  * [07a2421] Disable mediaplayer until either Debian reintroduces ffmpeg v4 
    or upstream completes the transition to v5.  Despite claims in Debian bug 
    reports, upstream does not work with v5 
    -- see https://mail.kde.org/pipermail/digikam-users/2022-July/033796.html

 -- Steve M. Robbins <smr@debian.org>  Sun, 03 Jul 2022 23:29:18 -0500

digikam (4:7.6.0-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [d6f0cad] New upstream version 7.6.0

 -- Steve M. Robbins <smr@debian.org>  Sat, 02 Apr 2022 19:19:15 -0500

digikam (4:7.5.0-5) unstable; urgency=medium

  [ Steve Robbins ]
  * [02f389b] Add more linking to -latomic.

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Feb 2022 12:52:16 -0600

digikam (4:7.5.0-4) unstable; urgency=medium

  [ Steve Robbins ]
  * [6b4cd4b] Link digikamcore lib with -latomic.

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Feb 2022 04:02:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: digikam
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Steve M. Robbins <smr@debian.org>,
@@ -22,6 +21,7 @@
                libeigen3-dev (>= 3.1.2),
                libexiv2-dev (>= 0.27),
                libexpat1-dev | libexpat-dev,
+               libheif-dev,
                libgphoto2-dev,
                libjpeg-dev,
                libkf5akonadicontact-dev,
@@ -45,7 +45,6 @@
                libqt5webkit5-dev,
                libqt5x11extras5-dev,
                libqt5xmlpatterns5-dev,
-               libqtav-dev (>= 1.13),
                libtiff-dev,
                libusb-1.0-0-dev [linux-any],
                libx265-dev,
